Package wx :: Package lib :: Package floatcanvas :: Module FloatCanvas :: Class Polygon

[frames | no frames]

## Class Polygon

           DrawObject --+
                        |
    LineOnlyMixin --+   |
                    |   |
     LineAndFillMixin --+
                        |
    PointsObjectMixin --+
                        |
                       Polygon

The Polygon class takes a list of 2-tuples, or a NX2 NumPy array of point coordinates. so that Points[N][0] is the x-coordinate of point N and Points[N][1] is the y-coordinate or Points[N,0] is the x-coordinate of point N and Points[N,1] is the y-coordinate for arrays.

The other parameters specify various properties of the Polygon, and should be self explanatory.

Method Summary
| `__init__(self, Points, LineColor, LineStyle, LineWidth, FillColor, FillStyle, InForeground)`

Class Variable Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:17 2007 | http://epydoc.sf.net